Skip to main content
A set of endpoints for managing user exemptions to enterprise collaboration domain restrictions.

Allowed collaboration domains user exemption

The user that is exempt from any of the restrictions imposed by the list of allowed collaboration domains for this enterprise.
PropertyTypeRequiredDescription
idstringNoThe unique identifier for this exemption.
typeenum<string>NoThe value will always be collaboration_whitelist_exempt_target. Available options: collaboration_whitelist_exempt_target.
enterpriseobjectNoA representation of a Box enterprise.
userUser (Mini)NoThe user that has been exempt.
created_atstringNoThe time the entry was created.
modified_atstringNoThe time the entry was modified.
Example
{
  "id": "11446498",
  "type": "collaboration_whitelist_exempt_target",
  "enterprise": {
    "id": "11446498",
    "type": "enterprise",
    "name": "Acme Inc."
  },
  "user": {
    "id": "11446498",
    "type": "user",
    "name": "Aaron Levie",
    "login": "ceo@example.com"
  },
  "created_at": "2012-12-12T10:53:43-08:00",
  "modified_at": "2012-12-12T10:53:43-08:00"
}

Allowed collaboration domains user exemptions

A list of users exempt from any of the restrictions imposed by the list of allowed collaboration domains for this enterprise.
PropertyTypeRequiredDescription
limitintegerNoThe limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.
next_markerstringNoThe marker for the start of the next page of results. Can be null.
prev_markerstringNoThe marker for the start of the previous page of results. Can be null.
entriesarray of Allowed collaboration domains user exemptionNoA list of users exempt from any of the restrictions imposed by the list of allowed collaboration domains for this enterprise.
Example
{
  "limit": 1000,
  "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
  "prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
  "entries": [
    {
      "id": "11446498",
      "type": "collaboration_whitelist_exempt_target",
      "enterprise": {
        "id": "11446498",
        "type": "enterprise",
        "name": "Acme Inc."
      },
      "user": {
        "id": "11446498",
        "type": "user",
        "name": "Aaron Levie",
        "login": "ceo@example.com"
      },
      "created_at": "2012-12-12T10:53:43-08:00",
      "modified_at": "2012-12-12T10:53:43-08:00"
    }
  ]
}
Last modified on July 9, 2026